/*
 * XBee / Labot
 * Réception de la communication série pour contrôler deux servo-moteurs
 * 
 * Attention : usage du "Serial1" au lieu de "Serial" pour la communication XBee avec une carte Leonardo
 * Si vous utilisez une autre carte Arduino, remplacez "Serial1" par "Serial"
 *
 * Usage : couple de données, l'ID (O ou 1) pour les moteurs gauches et droite, et la valeur pwm (0-180)
 */

#include <Servo.h>

// Variables Servo
Servo servo_d, servo_g;
int id, pwm; // couple de données en réception

void setup() {
  Serial1.begin(9600); // On définit la vitesse de transfert des données
  servo_d.attach(10); // Le servo droit est connecté au pin 10
  servo_g.attach(11); // Le servo gauche est connecté au pin 11 (à l'envers)
  delay(100); 
  servo_d.write(90);// positions de repos
  servo_g.write(90);
}
     
void loop() { 
    // Lecture des messages Série
    while (Serial1.available()) {
      id = Serial1.parseInt(); 
      pwm = Serial1.parseInt();
      if (Serial1.read() == '\n') {
         if (id == 0){
           servo_g.write(pwm);
         } else if (id == 1) {
           servo_d.write(pwm);
         }
       }
     }
   delay(10);
}
 
